%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.7.4
Release:	%mkrel 1
Source0:	http://httplib2.googlecode.com/files/%{fname}-%{version}.tar.gz
Patch0:		httplib2-use-system-certs.patch
URL:		http://code.google.com/p/httplib2
Group:		System/Libraries
License:	MIT
BuildArch:	noarch
BuildRequires:	python

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p0 -b .certfile

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}

%{__python} setup.py install --root=%{buildroot} --compile --optimize=2

%files
%doc README
%{py_puresitedir}/%{fname}
%{py_puresitedir}/%{fname}-%{version}-py%{pyver}.egg-info




%changelog

* Thu Jul 05 2012 philippem <philippem> 0.7.4-1.mga1
+ Revision: 268297
- Fix #6568 use system-wide cacerts
- fix Mageia #5256

* Thu Feb 17 2011 wally <wally> 0.6.0-3.mga1
+ Revision: 53114
- clean .spec
- remove old py_requires macro
- remove buildroot definition
- imported package python-httplib2


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.6.0-2mdv2011.0
+ Revision: 590615
- rebuild for python 2.7

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 487795
- New version 0.6.0

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.4.0-3mdv2009.1
+ Revision: 323729
- rebuild

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-2mdv2008.1
+ Revision: 187368
- requires python

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 186995
- import python-httplib2


